Starší verze Mintu

Dotazy nebo názory k distribuci Linux Mint obecně
Zpráva
Autor
stenly13
Příspěvky: 4
Registrován: 21 čer 2018, 07:22

Starší verze Mintu

#1 Příspěvek od stenly13 » 21 čer 2018, 09:22

Jak je to se staršími verzemi Mintu?
Mám záměr využít staré PC (P4 jedno jádro 512MB RAM)
Potřeboval bych v systému putty, připojení ke vzdalemé ploše, LibreOffice, Mailový klient, a aktuální webový prohlížeč, (pak ještě sambu pro přístup na sdílené složky windows a případně připojit do Active Directory)

(Nainstaloval jsem i ML18.3, ale běží jak zpomalený film s odezvou i 30s :-)

Po nainstalování LM6 Felicia 32bit (prostředí jsem si mislel ze je MATE ale při přihlášení to píše GNOME) systém běží celkem svižně.
Problémy jsou s češtinou ale to by nevadilo. Nejhorší je že nefungují zdroje SW APT-GET jsou pro tuto distribuci ještě vůbec možnosti stahování z repositářů?
Používá někdo ještě LM6?
Jsou někde informace o náročnosti jednotlivých distribucí?

Uživatelský avatar
redhawk
Guru Mintu
Příspěvky: 2922
Registrován: 12 led 2016, 19:14
Bydliště: ako kedy

Re: Starší verze Mintu

#2 Příspěvek od redhawk » 21 čer 2018, 10:19

stenly13 píše:
21 čer 2018, 09:22

Mám záměr využít staré PC (P4 jedno jádro 512MB RAM)
no pri 512MB ram bude akykolvek "moderny" os pomaly. pri 1GB by som odporucil MX 17.1 32bit ale 512MB je dost malo
stenly13 píše:
21 čer 2018, 09:22
Jak je to se staršími verzemi Mintu?
Používá někdo ještě LM6?
Po nainstalování LM6 Felicia 32bit (prostředí jsem si mislel ze je MATE ale při přihlášení to píše GNOME) systém běží celkem svižně.
Problémy jsou s češtinou ale to by nevadilo. Nejhorší je že nefungují zdroje SW APT-GET jsou pro tuto distribuci ještě vůbec možnosti stahování z repositářů?
co sa tyka LM, najstarsia je podporovana verzia 17.x do aprila 2019, 6 snad uz len niekto moze mat v archive, kedze by vsetok SW musel hladat niekde na nete a v deb alebo source
stenly13 píše:
21 čer 2018, 09:22
Jsou někde informace o náročnosti jednotlivých distribucí?
v podstate pri kazdej distribucii je minimum requirements na ktorych to "ide" osobne by som sa ale riadil skor odporucanymi Recommended system Requirements ktore su vacsinou realne (napr. LM 19 Tara na 15GB disk nevlezie vo verzii Cinnamon ani Mate)
stenly13 píše:
21 čer 2018, 09:22
Potřeboval bych v systému putty, připojení ke vzdalemé ploše, LibreOffice, Mailový klient, a aktuální webový prohlížeč, (pak ještě sambu pro přístup na sdílené složky windows a případně připojit do Active Directory)
riesenim by som pre tu P4 videl v Debiane alebo Devuane (Debian bez systemd) minimalne poziadavky s Desktopom su 256 megabytes ram a 10 gigabytes hdd, k tomu prostredie xfce4, icewm alebo wmaker. plne DVD Devuanu ma 4GB pre 32 aj 64 bit. alebo pouzit desktop-live to ma giga.


popripade FluXuan. ten ma min 82MBObrázek

pokial by sa dohodila ram na 1GB (alebo aj 2) tak sa da prevadzkovat aj debian/devuan s Mate pri 2GB aj Cinnamon
Pravděpodobně kecám.

stenly13
Příspěvky: 4
Registrován: 21 čer 2018, 07:22

Re: Starší verze Mintu

#3 Příspěvek od stenly13 » 21 čer 2018, 13:59

Děkuji za rady.
Určitě bych chtěl zůstat u mintu. HW dále rozšiřovat nemá smysl a ani to není moc reálné. Mám k dispozici několik takových strojů a jsou prakticky narvané na maximum.
Zkoušel jsem se dostat trochu dále a zatím to vypadá že je zastaralý balík APT a nejde mi aktualizovat, repositáře, které zkoušim buď nevezme a nebo vypíše že máji příliš mnoho dat.
Zkusil jsem stáhnout balík apt_0.8.16_exp12ubuntu10_i386.deb je to ten nejstarší, který jsem zatím našel a při instalaci vyhodí chybu: Error:Conflict with the installed package 'python-apt'
Tak jsem pokračoval i s tím python-APT ale vyskočí další obdobná chyba atd.
Ještě zkusím nají straší APT případně nějaký repositář se kterým by LM6 komunikoval.

Uživatelský avatar
redhawk
Guru Mintu
Příspěvky: 2922
Registrován: 12 led 2016, 19:14
Bydliště: ako kedy

Re: Starší verze Mintu

#4 Příspěvek od redhawk » 21 čer 2018, 15:00

stenly13 píše:
21 čer 2018, 13:59
Děkuji za rady.
Určitě bych chtěl zůstat u mintu. HW dále rozšiřovat nemá smysl a ani to není moc reálné. Mám k dispozici několik takových strojů a jsou prakticky narvané na maximum.
Zkoušel jsem se dostat trochu dále a zatím to vypadá že je zastaralý balík APT a nejde mi aktualizovat, repositáře, které zkoušim buď nevezme a nebo vypíše že máji příliš mnoho dat.
Zkusil jsem stáhnout balík apt_0.8.16_exp12ubuntu10_i386.deb je to ten nejstarší, který jsem zatím našel a při instalaci vyhodí chybu: Error:Conflict with the installed package 'python-apt'
Tak jsem pokračoval i s tím python-APT ale vyskočí další obdobná chyba atd.
Ještě zkusím nají straší APT případně nějaký repositář se kterým by LM6 komunikoval.
ak mint, tak za par korun upgrade ram aspon na 1GB inak s 18.3 / 19 nie je sanca, a aj to len xfce mozno mate. ale nizsie poziadavky ma urcite debian (z neho vychadza aj mint / ubuntu)

ano s tymto bohuzial budu problemy na LM 6.

Inak aky je to presne stroj (procesor + mb a vga) podla toho by sa mozno dala poladit LM18.3
Pravděpodobně kecám.

stenly13
Příspěvky: 4
Registrován: 21 čer 2018, 07:22

Re: Starší verze Mintu

#5 Příspěvek od stenly13 » 22 čer 2018, 06:35

Dell Optiplex GX240 P4 1jádro, základní VGA (16MB) zvednout RAM by šlo ale výkon se nezlepšil proto zkouším starší distribuce.
Procesor už lepší dát nejde a LM18 neutáhne zkoušel jsem i s prostředím MATE
Ty PC jsou už jen šrot, ale rád bych z nich zkusil udělal něco jako klienty, Připojit se vzdáleně na server, uchodit PUTTY pro SSH, internet pro zobrazení intranetu, poštovního klienta a libreoffice. Běželi na tom WinXP tak by to mohlo utáhnout i nějaký linux, spíše pro učení a zkoušení než pro práci.
Ještě zkusím LM9 ta by mohla mít ještě podporu pro repositáře.

Uživatelský avatar
redhawk
Guru Mintu
Příspěvky: 2922
Registrován: 12 led 2016, 19:14
Bydliště: ako kedy

Re: Starší verze Mintu

#6 Příspěvek od redhawk » 22 čer 2018, 09:04

stenly13 píše:
22 čer 2018, 06:35

Ještě zkusím LM9 ta by mohla mít ještě podporu pro repositáře.
nema ale skor by tam mohli ist deb baliky ako v LM6

Ram urcite pomoze, na notebooku Compaq nx6310 mam Intel Celeron M 430 kym tam bolo 1GB ram sa s tym v podstate nedalo robit, teraz 2GB a bezi mi tam LM 17.3 xfce / MX 17.1 / Deepin linux / Windows 7Pro

pokial by sa tam nedavalo nejak vela programov mal by ten Dell zvladat s P4 aj LM 15
Pravděpodobně kecám.

vxmery
Poradce Mintu
Příspěvky: 402
Registrován: 24 úno 2014, 13:39
Bydliště: Čeklís

Re: Starší verze Mintu

#7 Příspěvek od vxmery » 22 čer 2018, 10:34

RAM by šlo ale výkon se nezlepšil
Ako písal Redhawk, 1GB je v dnešnej dobe minimum. A okrem toho na staré stroje sú špeciálne distribúcie. Mint medzi ne žiaľ nepartí.
Pozri napríklad sem. Z toho by som zrejme odporučil skúsiť Antix-17 32bit.
Linux Mint 19.2 Cinnamon 64b
Dobrá nálada naserie toľko ľudí, že je dobré si ju zachovať

Uživatelský avatar
Ventero1
Vezír Mintu
Příspěvky: 709
Registrován: 31 říj 2016, 14:17
Bydliště: Sokolov

Re: Starší verze Mintu

#8 Příspěvek od Ventero1 » 23 čer 2018, 10:34

Jde o to že Lubuntu či LXLE na tom s výhradou poběží a po upgrade RAM alespoň na 1GB i Mint 17.3 s xfce v 32bit. Potíž je v tom, že internetový browsery už žerou hodně a na video v něm lze rovnou zapomenout. Snad jen, kdyby jsi sehnal nějakou hustou grafiku do AGP - ale to by nedávalo smysl - to můžeš koupit rovnou repasovaný PC. Dal jsem teď zkušebně na Dual Core E2180 2GHz Xubuntu 14.04.1 s grafikou Radeon Express 200 bez GK slotu, RAM 2GB DDR2 a HDD 160GB je to prostě v browseru zádrh a videa jen nouzově v min rozlišení s hrubým tearingem. Takže to bude chtít zkusit jiný browser, než FF či rovnou starší lehčí distro.

Takže možná cesta je použít třeba starší verzi, jejíž jádro podporuje tvou grafiku a popř. splašíš na ní proprietální drivery. Nejlepší cesta je ovšem tento PC dát do elektrošrotu a a koupit za cca 1200,- nějaký repas s dvoujádrem intel a grafikou GMA 3000 min. Popř. nějaké AMD dvoujádro s integr. grafikou GeForce.

Jestli chceš, tak ti nabídnu ten Fujitsu-Siemens, co jsem popsal nahoře za 800,- a zdarma ti k tomu dám CPU E2200 2,2GHz - to se dost vylepší výkon - a můžeš si hrát daleko smysluplněji, než s tímhle. Rozhodně je to aspoň ještě použitelný PC už takhle.
Zvuky jsou mantrami a myšlenky moudrostí, prostě proto, že se mohou objevovat ...

Uživatelský avatar
redhawk
Guru Mintu
Příspěvky: 2922
Registrován: 12 led 2016, 19:14
Bydliště: ako kedy

Re: Starší verze Mintu

#9 Příspěvek od redhawk » 23 čer 2018, 13:45

Ventero1 píše:
23 čer 2018, 10:34
Jde o to že Lubuntu či LXLE na tom s výhradou poběží a po upgrade RAM alespoň na 1GB i Mint 17.3 s xfce v 32bit. Potíž je v tom, že internetový browsery už žerou hodně a na video v něm lze rovnou zapomenout. Snad jen, kdyby jsi sehnal nějakou hustou grafiku do AGP - ale to by nedávalo smysl - to můžeš koupit rovnou repasovaný PC. Dal jsem teď zkušebně na Dual Core E2180 2GHz Xubuntu 14.04.1 s grafikou Radeon Express 200 bez GK slotu, RAM 2GB DDR2 a HDD 160GB je to prostě v browseru zádrh a videa jen nouzově v min rozlišení s hrubým tearingem. Takže to bude chtít zkusit jiný browser, než FF či rovnou starší lehčí distro.
NA ASUS X101CH (Atom n2600 (dualcore, 1GB DDR2 napajena na doske, 16GB CF karta s redukciou na SATA) ide LM 18.3 s XFCE pekne hladko. bohuzial s MATE uz je to citelne (start 3min), caste dlhe odozvy hlavne pri Firefoxe, po zmene na Chromium je to lepsie. So cinnamon uz aj tearing pri scrolovani aj dokumentov.

Ten ntb je slabsi ako to P4.

Cize ako som mu uz pisal 1GB ram a v pohode LM 19 xfce da. druha vec je s 512 MB keby presiel na MX17.1 32bit tak to pojde v pohode (oproti LM17.3 XFCE aj mensia spotreba ram LM=318MB + Palemoon 5 zaloziek= 428MB,MX17 224MB+Palemoon 5 zaloziek=376MB.(zalozkyphoronix.com, Youtube.com, xichtokniha, gmail, pctuning.cz) )
swappiness 5% (50MB) bezne obsadená ram v %
Chrome 44%
Firefox 57 68%
Firefox 52 ESR 39%
Pravděpodobně kecám.

Uživatelský avatar
redhawk
Guru Mintu
Příspěvky: 2922
Registrován: 12 led 2016, 19:14
Bydliště: ako kedy

Re: Starší verze Mintu

#10 Příspěvek od redhawk » 24 čer 2018, 12:24

Takze nedalo mi to.
Intel Celeron 633MHz (sock.370) + 2x256MB ram + 30GB PATA hdd + vga ATi RAGE 128
funguju bez problemu 32bit verzie:
Linux mint 17.3 xfce - plynulo bez problémov
Linux Mint 17.3 Mate - spomalene, z live islo plynulejsie ako z HDD
MX17,1 32bit - plynulo bez problémov
Devuan 2 Mate / xfce - plynulo bez problémov
Fluxuan - plynulo bez problémov
LXLE - plynulo bez problémov
Antix 17.1 - plynulo bez problémov
Bodhi linux - obcasné mrznutie Palemoon
Sparky linux - plynulo bez problémov
Debian 8 - plynulo bez problémov
--------------
po pridani 2x256MB ram (4x 256MB 133MHz) vymena VGA za ATi Radeon 7000
Linux Mint 18.3 Mate, xfce - plynulo bez nejakých problémov
Pravděpodobně kecám.

Odpovědět